[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'maps' (#lcl)

# TTypedMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: maps.pp line 181

`type TTypedMap = class(TBaseMap)`
`protected`
`function InternalSetData();`
`procedure ReleaseData(); override;`
`public`
`procedure Add();`
`constructor Create();`
`destructor Destroy; override;`
`function HasId();`
`function GetData();`
`function GetDataPtr();`
`function SetData();`
`end;`

## Inheritance

`TTypedMap`
`TBaseMap` |  |
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.